from langchain_deepseek import ChatDeepSeek

# 初始化 DeepSeek 模型
model = ChatDeepSeek(
    model="deepseek-chat",      # 模型名称
    api_key="sk-a329ecd8a64d4db8a8f1c00f89ad169d",  # API Key
    temperature=0.3,            # 控制随机性
    max_tokens=2048,            # 最大输出长度
    max_retries=2,              # 重试次数
)

messages = [
            ("system", "你是一个专业的聊天助手。"),
            ("human", "你是谁"),
        ]
result = model.astream(messages)

print(result)